AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get a settlement

Get one settlement by its ID.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/settlements/{id}

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

id int 32 required
This is a unique identifier for the particular settlement you want to fetch. It is returned in the call to list all settlements as data.id.

FILL IN ALL REQUIRED FIELDS

page string
This is the page number to retrieve e.g. setting 1 retrieves the first page.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

account_id integer

merchant_name string

merchant_email string

settlement_account string

bank_code string

transaction_date string

due_date string

processed_date string

status string

is_local integer

currency string

gross_amount integer

app_fee integer

merchant_fee integer

chargeback integer

refund integer

stampduty_charge integer

net_amount integer

transaction_count integer

processor_ref string

disburse_ref string

disburse_message string

channel string

destination string

fx_data string

flag_message string

meta string

refund_meta string

chargeback_meta string

source_bankcode string

created_at string

transactions array of objects

FILL IN ALL REQUIRED FIELDS

customer_email string

flw_ref string

tx_ref string

id integer

charged_amount integer

app_fee integer

merchant_fee integer

stampduty_charge integer

settlement_amount integer

status string

payment_entity string

transaction_date string

currency string

card_locale string

rrn string

subaccount_settlement integer

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

2026 © Flutterwave

SupportStatus
Get API Keys